import ProviderComponent from '@/components/layouts/provider-component';
import 'react-perfect-scrollbar/dist/css/styles.css';
import '../styles/tailwind.css';
import { Metadata } from 'next';
import localFont from 'next/font/local'

export const metadata: Metadata = {
    title: {
        template: '%s | مدیریت سام',
        default: 'مدیریت سام',
    },
};

const myFont = localFont({
    src: '../public/fonts/IRANSansWeb_Light.woff',
    display: 'swap',
})

export default function RootLayout({ children }: { children: React.ReactNode }) {
    return (
        <html lang="fa"  >
            <body className={myFont.className} >
                <ProviderComponent>{children}</ProviderComponent>
            </body>
        </html>
    );
}
